summaryrefslogtreecommitdiff
path: root/mate-extra
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-05-05 20:56:16 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-05-05 20:56:16 +0100
commitc92bc85efcbeeeedb00adecc70a16f24e4e66f34 (patch)
treef7b5a077650e226936b11257f2618fe6e7f22996 /mate-extra
parent2a10bc12f94f44dfd95a21450d5891153e846b1b (diff)
import some splitted ebuilds from V3n3RiX's overlay...origined from gentoo, they are splitted nicely
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/mate-indicator-applet/Manifest1
-rw-r--r--mate-extra/mate-indicator-applet/mate-indicator-applet-1.8.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/mate-extra/mate-indicator-applet/Manifest b/mate-extra/mate-indicator-applet/Manifest
new file mode 100644
index 00000000..5e0bbbc9
--- /dev/null
+++ b/mate-extra/mate-indicator-applet/Manifest
@@ -0,0 +1 @@
+DIST mate-indicator-applet-1.8.0.tar.xz 312404 SHA256 df69bd4cc827f4b01d525fcd615d34c1993945767d44582e0b4046cf46555fdf SHA512 82df46509517a6bdff17792888930eeed1e97cd507c09229203eed908cae4f3a63e21f76f8c8f71348351f45c7c2532cf8b46e33a5834b93080c5b910176e448 WHIRLPOOL dc98494422157be6a2625f1404f1b7b8e868c27678f7c50ce060ad2790a5c9efb4b4984727c232ddbc2f5d0b0d89666df4dcabe5d050099c46c0178331265468
diff --git a/mate-extra/mate-indicator-applet/mate-indicator-applet-1.8.0.ebuild b/mate-extra/mate-indicator-applet/mate-indicator-applet-1.8.0.ebuild
new file mode 100644
index 00000000..7f3a14db
--- /dev/null
+++ b/mate-extra/mate-indicator-applet/mate-indicator-applet-1.8.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Indicator Applet for MATE"
+HOMEPAGE="http://mate-desktop.org"
+SRC_URI="http://pub.mate-desktop.org/releases/1.8/${PN}-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="
+ >=mate-base/mate-panel-${PV}"
+DEPEND="
+ >=sys-devel/autoconf-2.53
+ >=sys-devel/automake-1.14.0
+ >=sys-devel/libtool-2.4-r1
+ >=dev-libs/glib-2.38.2-r1
+ >=dev-util/pkgconfig-0.28-r1
+ dev-libs/libindicator-gtk2
+ dev-util/intltool"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+src_configure() {
+ econf \
+ --disable-static
+}
+
+src_compile() {
+ emake || die "compilation failed"
+}
+
+src_install() {
+ default
+}